@tailwind base;
@tailwind components;
@tailwind utilities;

* {
	scroll-behavior: smooth;
}
body {
	width: 100%;
	box-sizing: border-box;
	font-family: "Mona Sans", sans-serif;
}

header {
	width: 100%;
	background: url("../images/orig.jpg") no-repeat;
	background-size: cover;
	background-position: center;
}

#why_us {
	position: relative;
	background: url("../images/section.jpeg") no-repeat center center / cover;
	overflow: hidden;
}

#why_us::before {
	content: "";
	position: absolute;
	inset: 0;
	background-color: rgba(0, 89, 6, 0.6);
	z-index: 1;
}

#why_us > * {
	position: relative;
	z-index: 2;
}

header h1 {
	text-shadow: 0px 6px 24px 0px black !important;
}

header span {
	background: linear-gradient(#a5d152, #60a832);
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
	text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.3);
}

.card {
	transition: all 0.3s linear;
	cursor: pointer;
	overflow: hidden;
	box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
	color: white;
}
img {
	transition: all 0.3s linear;
}
.c:hover img {
	transform: scale(1.1);
	transition: all 0.3s linear;
	filter: brightness(0.5);
}

.card:hover img {
	transform: scale(1.1);
	transition: all 0.3s linear;
}
.card:hover {
	color: white;
}

.card img {
	width: 100%;
	height: 100%;
	object-fit: cover;
}

.card p {
	opacity: 1;
	position: relative;
	top: 300px;
	transition: all 0.3s linear;
	color: white;
}

.card:hover p {
	opacity: 1;
	top: 0;
}

footer {
	background-color: rgb(23, 27, 42);
}
.btn-lang {
	transition: all 0.3s linear;
}
.btn-lang:hover {
	border: none;
	background-color: #60a832;
	color: white;
}

/* .card_1 {
	background: url("../assets/images/img-1.png");
} */

.img {
	opacity: 0;
	transform: translateX(-50px);
	will-change: opacity, transform;
	transition: opacity 1s, transform 1s;
}

.navbar.scrolled .call {
}
.dropdown-menu {
	transition: opacity 0.3s ease, transform 0.3s ease;
}
.dropdown-enter-active,
.dropdown-leave-active {
	transition: opacity 0.3s ease, transform 0.3s ease;
}
.dropdown-enter-from,
.dropdown-leave-to {
	opacity: 0;
	transform: scale(0.95);
}

/* Mobile Menu Slide Down Transition */
.slide-down-enter-active,
.slide-down-leave-active {
	transition: max-height 0.3s ease, opacity 0.3s ease;
}
.slide-down-enter-from {
	max-height: 0;
	opacity: 0;
}
.slide-down-enter-to {
	max-height: 500px; /* Arbitrary large value */
	opacity: 1;
}
.slide-down-leave-from {
	max-height: 500px;
	opacity: 1;
}
.slide-down-leave-to {
	max-height: 0;
	opacity: 0;
}

h1,
h2,
h3,
h6 {
	color: black;
}

.form {
	position: relative;
	background: url("../images/con.jpg") no-repeat;
	background-size: cover;
	background-position: center;
	color: white;
	overflow: hidden;
}

.form::before {
	content: "";
	position: absolute;
	inset: 0;
	background-color: rgba(0, 89, 6, 0.6); /* Adjust the opacity here */
	z-index: 1;
}

.form > * {
	position: relative;
	z-index: 2;
}
section ::-webkit-scrollbar {
	width: 0;
	height: 0;
}

form input,
textarea {
	background: none;
	outline: none;
	border: 2px solid white;
	color: white;
}

input ::placeholder {
	color: white;
}
